---
search:
  tags:
    - Pipelines
    - DELETE
seo:
  description: >-
    Reference for the DELETE
    /project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}/stages/{pipeline_stage_id}/components/{pipeline_stage_compo…
sidebar:
  label: Remove a component from a pipeline stage
  badge: DELETE
title: Remove a component from a pipeline stage
type: openapi-operation
---
Removes a component from a stage. The component itself is not deleted.

`DELETE /project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}/stages/{pipeline_stage_id}/components/{pipeline_stage_component_id}`

**Responses**

- `204` — Pipeline stage component removed successfully
- `default` — Error
